<? $DEFINITIONS = Zend_Registry::get('defines'); ?>
<div class="row">
    <div class="col-lg-6 col-xl-6 col-sm-12 col-md-6">
        <div class="card">
            <div class="card-header"><?= __('city_alerts') ?></div>
            <div class="card-body">

                <div class="alert alert-info"><?= __('city_alerts_info') ?></div>
                <form id="city-alerts-form">
                    <div class="form-group">
                        <label for="city"><?= __('choose_your_city') ?></label>

                        <? $model = new Cubix_Geography_Cities() ?>
                        <select id="city" name="city_id" class="form-control">
                            <option value="">- <?= strtolower(__('pv2_label_city')) ?> -&nbsp;&nbsp;</option>
                            <? foreach ($model->ajaxGetAll(null, Cubix_Application::getById()->country_id) as $city): ?>
                                <option value="<?= $city->id ?>"><?= $city->title ?>&nbsp;&nbsp;</option>
                            <? endforeach ?>
                        </select>
                        <div id="city_id" class="text-danger error-area"></div>
                    </div>

                    <div class="form-group">
                        <?= __('inform_about') ?>
                        <div class="py-1">
                            <label class="custom-control custom-checkbox">
                                <input id="escorts" type="checkbox" class="custom-control-input" name="escorts" value="1"/>
                                <span class="custom-control-indicator"></span>
                                <span class="custom-control-description"><?= __('new_escorts') ?></span>
                            </label>
                        </div>
                        <div id="user_type" class="text-danger error-area"></div>
                    </div>


                    <div class="buttons col-12 text-center">
                        <button class="save btn btn-success"><?= __('save')?></button>
                    </div>
                </form>
            </div>
        </div>
    </div>

    <div class="col-lg-6 col-xl-6 col-sm-12 col-md-6">

        <div class="card">
            <div class="card-header"><?= __('active_alerts') ?></div>
            <div class="card-body">
                <? if ($this->items): ?>
                    <table class="table table-striped table-bordered dt-responsive nowrap table-responsive">
                        <tr>
                            <th class="city"><?= __('city') ?></th>
                            <th class="about m-w-80"><?= __('info_about') ?></th>
                            <? /*<th class="time">Time interval</th>*/ ?>
                            <th class="x">&nbsp;</th>
                        </tr>
                        <? foreach ($this->items as $item): ?>
                            <tr>
                                <td><?= $item['city'] ?></td>
                                <td>
                                    <?
                                    $ab = array();

                                    if ($item['escorts'])
                                        $ab[] = __('new_escorts');

                                    if ($item['agencies'])
                                        $ab[] = __('new_agencies');

                                    echo implode(' | ', $ab);
                                    ?>
                                </td>

                                <td>
                                    <button type="button" class="btn btn-danger remove_city_alert" data-id="<?= $item['id']?>"> <?= __('remove')?></button>
                                </td>
                            </tr>
                        <? endforeach; ?>
                    </table>
                <? else: ?>
                    <?= __('no_alerts_found') ?>
                <? endif; ?>

            </div>
        </div>
    </div>
</div>